Bug 1812026 - No visible cursor in Workstation Live
Summary: No visible cursor in Workstation Live
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 32
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2020-03-10 11:55 UTC by Lukas Ruzicka
Modified: 2020-03-13 19:37 UTC (History)
11 users (show)

Fixed In Version: gnome-shell-3.36.0-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-13 19:37:17 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Journalctl from the affected machine (374.26 KB, text/plain)
2020-03-10 11:55 UTC, Lukas Ruzicka
no flags Details
System information from the affected machine. (13.39 KB, text/plain)
2020-03-10 11:57 UTC, Lukas Ruzicka
no flags Details

Description Lukas Ruzicka 2020-03-10 11:55:45 UTC
Created attachment 1668946 [details]
Journalctl from the affected machine

Description of problem:

With the latest WS Live compose (20200307.n.0), I cannot control the desktop because the cursor is not visible. 

When WS Live boots into Gnome, the cursor exists but is not visible, i.e. I can see that widgets lighten upon mouse hover, but the cursor arrow does not show.

Version-Release number of selected component (if applicable):
gnome-shell 3.35.92


How reproducible:

Always

Steps to Reproduce:
1. Boot WS live
2.
3.

Actual results:

No visible cursor.

Expected results:

Cursor is visible and working.

Additional info:

The journal is showing lots of these lines:
Mar 10 07:41:19 localhost-live gnome-shell[1712]: set_crtc_cursor: assertion 'cursor_plane' failed
Mar 10 07:41:19 localhost-live gnome-shell[1712]: set_crtc_cursor: assertion 'cursor_plane' failed
Mar 10 07:41:19 localhost-live gnome-shell[1712]: set_crtc_cursor: assertion 'cursor_plane' failed
Mar 10 07:41:19 localhost-live gnome-shell[1712]: set_crtc_cursor: assertion 'cursor_plane' failed
Mar 10 07:41:19 localhost-live gnome-shell[1712]: set_crtc_cursor: assertion 'cursor_plane' failed

Comment 1 Lukas Ruzicka 2020-03-10 11:57:33 UTC
Created attachment 1668948 [details]
System information from the affected machine.

Comment 2 Fedora Blocker Bugs Application 2020-03-10 12:01:45 UTC
Proposed as a Blocker for 32-beta by Fedora user lruzicka using the blocker tracking app because:

 Proposing this as a blocker because it violates at least the following criteria:
====
Installation interfaces
When using a dedicated installer image, the installer must be able to complete an installation using the text, graphical and VNC installation interfaces. 
====

Anaconda cannot be controlled with invisible cursor.

Comment 3 Kalev Lember 2020-03-10 12:04:25 UTC
This was already reported back in the GNOME 3.36 test day and has been broken during almost all of 3.35.x cycle as far as I know. Only affects certain video hardware (AMD maybe?).

Should be fixed in the 3.36.0 update.

Comment 4 Fedora Update System 2020-03-10 12:07:11 UTC
FEDORA-2020-ed092680cc has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed092680cc

Comment 5 Lukas Ruzicka 2020-03-10 12:19:55 UTC
Ok, I can confirm that this happens one one of our testing machines. The other seems not to be affected by this.

Comment 6 Fedora Update System 2020-03-10 18:05:58 UTC
accerciser-3.36.0-1.fc32, adwaita-icon-theme-3.36.0-1.fc32, at-spi2-core-2.36.0-1.fc32, bijiben-3.36.0-1.fc32, clutter-1.26.4-1.fc32, cogl-1.22.6-1.fc32, dconf-editor-3.36.0-1.fc32, devhelp-3.36.0-1.fc32, eog-3.36.0-1.fc32, epiphany-3.36.0-1.fc32, evince-3.36.0-1.fc32, evolution-3.36.0-1.fc32, evolution-data-server-3.36.0-1.fc32, evolution-ews-3.36.0-1.fc32, evolution-mapi-3.36.0-1.fc32, file-roller-3.36.0-1.fc32, four-in-a-row-3.36.0-1.fc32, gedit-3.36.0-1.fc32, gedit-plugins-3.36.0-1.fc32, geocode-glib-3.26.2-1.fc32, gjs-1.64.0-1.fc32, glib-networking-2.64.0-1.fc32, gnome-2048-3.36.0-1.fc32, gnome-backgrounds-3.36.0-1.fc32, gnome-bluetooth-3.34.1-1.fc32, gnome-boxes-3.36.0-1.fc32, gnome-builder-3.36.0-1.fc32, gnome-calculator-3.36.0-1.fc32, gnome-calendar-3.36.0-1.fc32, gnome-characters-3.34.0-2.fc32, gnome-chess-3.36.0-1.fc32, gnome-clocks-3.36.0-1.fc32, gnome-control-center-3.36.0-1.fc32, gnome-disk-utility-3.36.0-1.fc32, gnome-initial-setup-3.36.0-1.fc32, gnome-klotski-3.36.0-1.fc32, gnome-mahjongg-3.36.1-1.fc32, gnome-maps-3.36.0-1.fc32, gnome-mines-3.36.0-1.fc32, gnome-music-3.36.0-1.fc32, gnome-nibbles-3.36.0-1.fc32, gnome-robots-3.36.0-1.fc32, gnome-screenshot-3.36.0-1.fc32, gnome-session-3.36.0-1.fc32, gnome-settings-daemon-3.36.0-1.fc32, gnome-shell-3.36.0-1.fc32, gnome-shell-extension-background-logo-3.36.0-1.fc32, gnome-shell-extensions-3.36.0-1.fc32, gnome-sudoku-3.36.0-1.fc32, gnome-system-monitor-3.36.0-1.fc32, gnome-taquin-3.36.0-1.fc32, gnome-terminal-3.36.0.1-1.fc32, gnome-tetravex-3.36.0-1.fc32, gobject-introspection-1.64.0-1.fc32, gpaste-3.36.0-1.fc32, gsettings-desktop-schemas-3.36.0-1.fc32, gtksourceview4-4.6.0-1.fc32, gvfs-1.44.0-1.fc32, iagno-3.36.0-1.fc32, java-atk-wrapper-0.38.0-1.fc32, libdazzle-3.36.0-1.fc32, libgnome-games-support-1.6.0.1-1.fc32, libical-3.0.8-1.fc32, libpeas-1.26.0-1.fc32, librsvg2-2.48.0-1.fc32, libsoup-2.70.0-1.fc32, lightsoff-3.36.0-1.fc32, mutter-3.36.0-1.fc32, nautilus-3.36.0-1.fc32, polari-3.36.0-1.fc32, pyatspi-2.36.0-1.fc32, pygobject3-3.36.0-2.fc32, quadrapassel-3.36.00-1.fc32, shotwell-0.31.1-1.fc32, simple-scan-3.36.0-1.fc32, sysprof-3.36.0-1.fc32, tali-3.36.0-1.fc32, tepl-4.4.0-1.fc32, totem-pl-parser-3.26.5-1.fc32, tracker-2.3.4-1.fc32, tracker-miners-2.3.3-1.fc32, vte291-0.60.0-1.fc32, yelp-3.36.0-1.fc32, yelp-xsl-3.36.0-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed092680cc

Comment 7 Adam Williamson 2020-03-10 21:05:43 UTC
It would've been nice to have the option of taking a more targeted fix for this :( Now we are in a difficult spot if we are still aiming for go on Thursday: leave this bug in, or dump the whole of 3.36.0 in now?

Comment 8 Jonas Ådahl 2020-03-10 21:10:29 UTC
The fix in question is available in mutter-3.36.0.

Comment 9 Fedora Update System 2020-03-10 21:25:18 UTC
FEDORA-2020-ed092680cc has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed092680cc

Comment 10 Fedora Update System 2020-03-12 18:48:57 UTC
accerciser-3.36.0-1.fc32, adwaita-icon-theme-3.36.0-1.fc32, at-spi2-core-2.36.0-1.fc32, bijiben-3.36.0-1.fc32, clutter-1.26.4-1.fc32, cogl-1.22.6-1.fc32, dconf-0.36.0-1.fc32, dconf-editor-3.36.0-1.fc32, devhelp-3.36.0-1.fc32, eog-3.36.0-1.fc32, epiphany-3.36.0-1.fc32, evince-3.36.0-1.fc32, evolution-3.36.0-1.fc32, evolution-data-server-3.36.0-1.fc32, evolution-ews-3.36.0-1.fc32, evolution-mapi-3.36.0-1.fc32, file-roller-3.36.0-1.fc32, folks-0.14.0-1.fc32, four-in-a-row-3.36.0-1.fc32, gcr-3.36.0-1.fc32, gedit-3.36.0-1.fc32, gedit-plugins-3.36.1-1.fc32, geocode-glib-3.26.2-1.fc32, gjs-1.64.0-1.fc32, glib-networking-2.64.0-1.fc32, glib2-2.64.1-1.fc32, gnome-2048-3.36.0-1.fc32, gnome-backgrounds-3.36.0-1.fc32, gnome-bluetooth-3.34.1-1.fc32, gnome-boxes-3.36.0-1.fc32, gnome-builder-3.36.0-1.fc32, gnome-calculator-3.36.0-1.fc32, gnome-calendar-3.36.0-1.fc32, gnome-characters-3.34.0-2.fc32, gnome-chess-3.36.0-1.fc32, gnome-clocks-3.36.0-1.fc32, gnome-contacts-3.36-1.fc32, gnome-control-center-3.36.0-1.fc32, gnome-desktop3-3.36.0-1.fc32, gnome-disk-utility-3.36.0-1.fc32, gnome-initial-setup-3.36.0-1.fc32, gnome-keyring-3.36.0-1.fc32, gnome-klotski-3.36.0-1.fc32, gnome-mahjongg-3.36.1-1.fc32, gnome-maps-3.36.0-1.fc32, gnome-menus-3.36.0-1.fc32, gnome-mines-3.36.0-1.fc32, gnome-music-3.36.0-1.fc32, gnome-nibbles-3.36.0-1.fc32, gnome-online-accounts-3.36.0-1.fc32, gnome-robots-3.36.0-1.fc32, gnome-screenshot-3.36.0-1.fc32, gnome-session-3.36.0-1.fc32, gnome-settings-daemon-3.36.0-1.fc32, gnome-shell-3.36.0-3.fc32, gnome-shell-extension-background-logo-3.36.0-1.fc32, gnome-shell-extensions-3.36.0-1.fc32, gnome-software-3.36.0-1.fc32, gnome-sudoku-3.36.0-1.fc32, gnome-system-monitor-3.36.0-1.fc32, gnome-taquin-3.36.0-1.fc32, gnome-terminal-3.36.0.1-1.fc32, gnome-tetravex-3.36.0-1.fc32, gobject-introspection-1.64.0-1.fc32, gpaste-3.36.0-1.fc32, gsettings-desktop-schemas-3.36.0-1.fc32, gtksourceview4-4.6.0-1.fc32, gvfs-1.44.0-1.fc32, hitori-3.36.0-1.fc32, iagno-3.36.0-1.fc32, ibus-1.5.22-4.fc32, java-atk-wrapper-0.38.0-1.fc32, libdazzle-3.36.0-1.fc32, libgnome-games-support-1.6.0.1-1.fc32, libgweather-3.36.0-1.fc32, libical-3.0.8-1.fc32, libpeas-1.26.0-1.fc32, librsvg2-2.48.0-1.fc32, libsecret-0.20.2-1.fc32, libsoup-2.70.0-1.fc32, lightsoff-3.36.0-1.fc32, mutter-3.36.0-1.fc32, nautilus-3.36.0-1.fc32, orca-3.36.1-1.fc32, polari-3.36.0-1.fc32, pyatspi-2.36.0-1.fc32, pygobject3-3.36.0-2.fc32, quadrapassel-3.36.00-1.fc32, seahorse-3.36-1.fc32, shotwell-0.31.1-1.fc32, simple-scan-3.36.0-1.fc32, sysprof-3.36.0-1.fc32, tali-3.36.0-1.fc32, tepl-4.4.0-1.fc32, totem-pl-parser-3.26.5-1.fc32, tracker-2.3.4-1.fc32, tracker-miners-2.3.3-1.fc32, vala-0.48.1-1.fc32, vte291-0.60.0-1.fc32, yelp-3.36.0-1.fc32, yelp-xsl-3.36.0-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ed092680cc

Comment 11 Fedora Update System 2020-03-13 19:37:17 UTC
accerciser-3.36.0-1.fc32, adwaita-icon-theme-3.36.0-1.fc32, at-spi2-core-2.36.0-1.fc32, bijiben-3.36.0-1.fc32, clutter-1.26.4-1.fc32, cogl-1.22.6-1.fc32, dconf-0.36.0-1.fc32, dconf-editor-3.36.0-1.fc32, devhelp-3.36.0-1.fc32, eog-3.36.0-1.fc32, epiphany-3.36.0-1.fc32, evince-3.36.0-1.fc32, evolution-3.36.0-1.fc32, evolution-data-server-3.36.0-1.fc32, evolution-ews-3.36.0-1.fc32, evolution-mapi-3.36.0-1.fc32, file-roller-3.36.0-1.fc32, folks-0.14.0-1.fc32, four-in-a-row-3.36.0-1.fc32, gcr-3.36.0-1.fc32, gedit-3.36.0-1.fc32, gedit-plugins-3.36.1-1.fc32, geocode-glib-3.26.2-1.fc32, gjs-1.64.0-1.fc32, glib-networking-2.64.0-1.fc32, glib2-2.64.1-1.fc32, gnome-2048-3.36.0-1.fc32, gnome-backgrounds-3.36.0-1.fc32, gnome-bluetooth-3.34.1-1.fc32, gnome-boxes-3.36.0-1.fc32, gnome-builder-3.36.0-1.fc32, gnome-calculator-3.36.0-1.fc32, gnome-calendar-3.36.0-1.fc32, gnome-characters-3.34.0-2.fc32, gnome-chess-3.36.0-1.fc32, gnome-clocks-3.36.0-1.fc32, gnome-contacts-3.36-1.fc32, gnome-control-center-3.36.0-1.fc32, gnome-desktop3-3.36.0-1.fc32, gnome-disk-utility-3.36.0-1.fc32, gnome-initial-setup-3.36.0-1.fc32, gnome-keyring-3.36.0-1.fc32, gnome-klotski-3.36.0-1.fc32, gnome-mahjongg-3.36.1-1.fc32, gnome-maps-3.36.0-1.fc32, gnome-menus-3.36.0-1.fc32, gnome-mines-3.36.0-1.fc32, gnome-music-3.36.0-1.fc32, gnome-nibbles-3.36.0-1.fc32, gnome-online-accounts-3.36.0-1.fc32, gnome-robots-3.36.0-1.fc32, gnome-screenshot-3.36.0-1.fc32, gnome-session-3.36.0-1.fc32, gnome-settings-daemon-3.36.0-1.fc32, gnome-shell-3.36.0-3.fc32, gnome-shell-extension-background-logo-3.36.0-1.fc32, gnome-shell-extensions-3.36.0-1.fc32, gnome-software-3.36.0-1.fc32, gnome-sudoku-3.36.0-1.fc32, gnome-system-monitor-3.36.0-1.fc32, gnome-taquin-3.36.0-1.fc32, gnome-terminal-3.36.0.1-1.fc32, gnome-tetravex-3.36.0-1.fc32, gobject-introspection-1.64.0-1.fc32, gpaste-3.36.0-1.fc32, gsettings-desktop-schemas-3.36.0-1.fc32, gtksourceview4-4.6.0-1.fc32, gvfs-1.44.0-1.fc32, hitori-3.36.0-1.fc32, iagno-3.36.0-1.fc32, ibus-1.5.22-4.fc32, java-atk-wrapper-0.38.0-1.fc32, libdazzle-3.36.0-1.fc32, libgnome-games-support-1.6.0.1-1.fc32, libgweather-3.36.0-1.fc32, libical-3.0.8-1.fc32, libpeas-1.26.0-1.fc32, librsvg2-2.48.0-1.fc32, libsecret-0.20.2-1.fc32, libsoup-2.70.0-1.fc32, lightsoff-3.36.0-1.fc32, mutter-3.36.0-1.fc32, nautilus-3.36.0-1.fc32, orca-3.36.1-1.fc32, polari-3.36.0-1.fc32, pyatspi-2.36.0-1.fc32, pygobject3-3.36.0-2.fc32, quadrapassel-3.36.00-1.fc32, seahorse-3.36-1.fc32, shotwell-0.31.1-1.fc32, simple-scan-3.36.0-1.fc32, sysprof-3.36.0-1.fc32, tali-3.36.0-1.fc32, tepl-4.4.0-1.fc32, totem-pl-parser-3.26.5-1.fc32, tracker-2.3.4-1.fc32, tracker-miners-2.3.3-1.fc32, vala-0.48.1-1.fc32, vte291-0.60.0-1.fc32, yelp-3.36.0-1.fc32, yelp-xsl-3.36.0-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.